Bug 1213951 (CVE-2015-3332) - CVE-2015-3332 kernel: TCP Fast Open local DoS
Summary: CVE-2015-3332 kernel: TCP Fast Open local DoS
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-3332
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1213955
Blocks: 1211864 1213954
TreeView+ depends on / blocked
 
Reported: 2015-04-21 15:31 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-05 09:49:00 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-21 15:31:57 UTC
Linux kernel built with the IPv4 networking support(CONFIG_NET) is vulnerable to a DoS flaw. It could occur while using TCP Fast open option when initiating a network connection. This issue is a regression caused by upstream commit '355a901e6cf1', when it was back-ported to older 3.10.y - 3.16.y branches.

An unprivileged local user could use this flaw to crash the system resulting in DoS.

Upstream fix:
-------------
  -> http://www.spinics.net/lists/netdev/msg325602.html

References:
-----------
  -> http://www.openwall.com/lists/oss-security/2015/04/18/2
  -> https://bugs.debian.org/782515

Comment 1 Vasyl Kaigorodov 2015-04-21 15:36:07 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1213955]

Comment 2 Prasad J Pandit 2015-04-21 19:48:18 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.


Note You need to log in before you can comment on or make changes to this bug.